Bug 1281297 - rhevm web shows incomplete RHEV-H OS Version information
rhevm web shows incomplete RHEV-H OS Version information
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-3.6.1
: 3.6.1
Assigned To: Alexander Wels
Lukas Svaty
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 04:18 EST by Huijuan Zhao
Modified: 2016-02-10 14:26 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 07:21:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
masayag: ovirt‑3.6.z?
rule-engine: planning_ack?
masayag: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
screenshot show incomplete OS Version (81.20 KB, image/png)
2015-11-12 04:18 EST, Huijuan Zhao
no flags Details
host general software sub-tab (63.21 KB, image/png)
2015-11-18 04:59 EST, Moti Asayag
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48793 master MERGED webadmin: Host->General software sub tab Never
oVirt gerrit 48862 ovirt-engine-3.6 MERGED webadmin: Host->General software sub tab Never
oVirt gerrit 49037 ovirt-engine-3.6.1 MERGED webadmin: Host->General software sub tab Never

  None (edit)
Description Huijuan Zhao 2015-11-12 04:18:23 EST
Created attachment 1093091 [details]
screenshot show incomplete OS Version

Description of problem:
After deploy Hosted Engine on RHEV-H, login ovirt-engine/webadmin web, it shows incomplete hosted-engine OS version information.

Version-Release number of selected component (if applicable):
rhev-hypervisor-7-7.2-20151104.0.e17ev
ovirt-node-3.6.0-0.20.20151103git3d3779a.el7ev.noarch
ovirt-node-plugin-vdsm-0.6.1-2.el7ev.noarch
fence-agents-rhevm-4.0.11-27.el7.x86_64
rhevm-sdk-python-3.6.0.3-1.el7ev.noarch


How reproducible:
100%
Whiteboard:

Steps to Reproduce:
1. TUI clean install rhevh
2. Login rhevh, setup network via dhcp
3. Deploy Hosted Engine
4. Login ovirt-engine/webadmin web, enter Hosts page
5. Choose hosted-engine, check General Software information

Actual results:
1. After step5, it shows incomplete hosted-engine OS version information, we need to press left or right arrow keys to see the complete OS version information.

Expected results:
1.After step5, it shows complete hosted-engine OS Version information without pressing the left or right arrow keys.

Additional info:
Comment 1 Huijuan Zhao 2015-11-12 04:30:26 EST
Update:

Actual results:
1. After step5, it shows incomplete RHEV-H OS version information, we need to press left or right arrow keys to see the complete OS version information.


Expected results:
1.After step5, it shows complete RHEV-H OS Version information without pressing the left or right arrow keys.
Comment 2 Einav Cohen 2015-11-17 20:25:33 EST
this was hopefully already resolved in [1]. @Alexander - is that correct?
if so - please add the IDs of [1] to the External Trackers field and move BZ to MODIFIED. Thanks. 

[1] http://tinyurl.com/oly94n7
Comment 3 Moti Asayag 2015-11-18 04:59 EST
Created attachment 1095932 [details]
host general software sub-tab
Comment 4 Moti Asayag 2015-11-18 04:59:48 EST
(In reply to Einav Cohen from comment #2)
> this was hopefully already resolved in [1]. @Alexander - is that correct?
> if so - please add the IDs of [1] to the External Trackers field and move BZ
> to MODIFIED. Thanks. 
> 
> [1] http://tinyurl.com/oly94n7

(In reply to Einav Cohen from comment #2)
> this was hopefully already resolved in [1]. @Alexander - is that correct?
> if so - please add the IDs of [1] to the External Trackers field and move BZ
> to MODIFIED. Thanks. 
> 
> [1] http://tinyurl.com/oly94n7

It seems only to partially fix it - the text is broken into 2 lines. See attached screenshot [1].

[1] https://bugzilla.redhat.com/attachment.cgi?id=1095932
Comment 5 Alexander Wels 2015-11-18 08:12:13 EST
As Moti reported its partially solved, in that it will display all the information by wrapping to the next line instead of cutting the information off. Looking at the code there is only one column, but it has been allocated only 1/4 of the available space. It is trivial to give it the full amount of space.

@Einav
The fix is literally a 2 character change (change a 3 to a 12). Want me to fix it real quick?
Comment 6 Einav Cohen 2015-11-18 10:14:27 EST
(In reply to Alexander Wels from comment #5)
> As Moti reported its partially solved, in that it will display all the
> information by wrapping to the next line instead of cutting the information
> off. Looking at the code there is only one column, but it has been allocated
> only 1/4 of the available space. It is trivial to give it the full amount of
> space.
> 
> @Einav
> The fix is literally a 2 character change (change a 3 to a 12). Want me to
> fix it real quick?

absolutely, and let's backport that to the ovirt-engine-3.6 branch and ovirt-engine-3.6.1 branch (if exists) as well. thanks, Alexander.
Comment 7 Alexander Wels 2015-11-18 13:05:15 EST
It was slightly more than the 2 character change. That made it so the label/value was split 50/50 on the available size which looks strange. So I had to also adjust the label/value ration to be better.
Comment 8 Lukas Svaty 2015-11-26 10:47:31 EST
verified in rhevm-webadmin-portal-3.6.1-0.2.el6.noarch
Comment 9 Sandro Bonazzola 2015-12-16 07:21:41 EST
According to verification status and target milestone this issue should be fixed in oVirt 3.6.1. Closing current release.

Note You need to log in before you can comment on or make changes to this bug.